Qt 5.15.x - backports (Xenial & newer)

PPA description

Backport of Qt 5.15.x stack (and dependencies) for Xenial, Bionic & Focal.

Qt >= 5.15 applications include: linphone (4.2.5) & qbittorrent (4.4.3.1)

*** Please always see https://launchpad.net/~savoury1 for general updates about this Launchpad site before contacting me or reporting any bugs! ***

*** With thanks to those people who have donated since late Jan 2022 (when notices were put up about donations being needed for the work to continue) updates to this PPA are now resumed (while the donations are ongoing). ***

If software at this site is useful to you then please consider a donation:

*** Donations: https://paypal.me/Savoury1 & https://ko-fi.com/Savoury1 ***
*** Also https://patreon.com/Savoury1 & https://liberapay.com/Savoury1 ***

This PPA also requires compatible KDE 5.80.x backports for any system that has KDE-based software installed. So make sure to read the notes at the KDE 5.80 PPA for latest info about the KDE backports before proceeeding:

https://launchpad.net/~savoury1/+archive/ubuntu/kde-5-80

Note (21 Aug 2021): If any dependencies are missing after adding the PPAs described in the install instructions below then make sure to inform me so that the dependencies can be copied here or to the KDE PPA as appropriate.

*** Install ***

NOTES FOR ALL: Upgrading the system Qt stack is a major system change as a lot of highly used software depends on Qt (ie. digiKam as one example) and the KDE stack must also be upgraded to a newer version (>= 5.80.0) that is compatible with newer Qt 5.15.x software. So remember to do a full backup first, same as before any such major upgrade! All these PPAs are required for full functionality and installation of the backported Qt/KDE packages:

  sudo add-apt-repository ppa:savoury1/qt-5-15
  sudo add-apt-repository ppa:savoury1/kde-5-80
  sudo add-apt-repository ppa:savoury1/gpg
  sudo add-apt-repository ppa:savoury1/ffmpeg4

Also, the VLC 3 PPA is a requirement for Xenial to install Phonon backend for VLC (requires >= 3.0), and recommended for all series. Add like this:

  sudo add-apt-repository ppa:savoury1/vlc3

Note for Focal: Core Qt 4 packages of qt4-x11 and qtwebkit are built here allowing Qt 4 (not KDE 4) applications to run on the current latest LTS.

Notes for Xenial & Bionic: All qt*-opensource-src packages here are built with GCC 9.3.0 and also against ppa:savoury1/display with latest display stack upgrades. These Qt upgrades then require GCC 9.3.0 and the latest display stack to install and run, so add these two PPAs with the commands:

  sudo add-apt-repository ppa:savoury1/gcc-defaults-9
  sudo add-apt-repository ppa:savoury1/display

Notes for Xenial: Some required Qt packages are at ppa:savoury1/qt-xenial which has backports of the Qt 4 & 5 stacks from Bionic. The matching KDE stack from Bionic is also required for proper Qt 4 & KDE 4 support. Also, backported APT/GTK from Bionic is needed for some Qt/KDE backports. So add these four commands at the top of the above list of commands for install:

  sudo add-apt-repository ppa:savoury1/apt-xenial
  sudo add-apt-repository ppa:savoury1/gtk-xenial
  sudo add-apt-repository ppa:savoury1/qt-xenial
  sudo add-apt-repository ppa:savoury1/kde-xenial

NOTE FOR ALL: After adding all required PPAs (see above) do these steps:

  sudo apt-get update
  sudo apt-get upgrade && sudo apt-get dist-upgrade

*** Build ***

This PPA has build dependencies on:

  ppa:savoury1/build-tools
  ppa:savoury1/backports
  ppa:savoury1/python
  ppa:savoury1/fonts
  ppa:savoury1/graphics
  ppa:savoury1/multimedia
  ppa:savoury1/ffmpeg4
  ppa:savoury1/vlc3
  ppa:savoury1/display
  ppa:savoury1/llvm-defaults-12
  ppa:savoury1/kde-5-80

Additionally, for Xenial & Bionic:

  ppa:savoury1/gcc-defaults-9
  ppa:savoury1/node-{xenial,bionic}

Additionally, for Xenial only:

  ppa:savoury1/apt-xenial
  ppa:savoury1/perl-xenial
  ppa:savoury1/gtk-xenial
  ppa:savoury1/qt-xenial
  ppa:savoury1/kde-xenial

*** Credits ***

- Creators of Qt: Haavard Nord, Eirik Chambe-Eng and the entire Qt team
  https://wiki.qt.io/About_Qt

- Package code: Debian Qt/KDE Maintainers
  https://tracker.debian.org/pkg/qtbase-opensource-src

Adding this PPA to your system

You can update your system with unsupported packages from this untrusted PPA by adding ppa:savoury1/qt-5-15 to your system's Software Sources. (Read about installing)

sudo add-apt-repository ppa:savoury1/qt-5-15
sudo apt update
        
Technical details about this PPA

This PPA can be added to your system manually by copying the lines below and adding them to your system's software sources.

Display sources.list entries for:
deb https://ppa.launchpadcontent.net/savoury1/qt-5-15/ubuntu YOUR_UBUNTU_VERSION_HERE main 
deb-src https://ppa.launchpadcontent.net/savoury1/qt-5-15/ubuntu YOUR_UBUNTU_VERSION_HERE main 
Signing key:
4096R/E996735927E427A733BB653E374C7797FB006459 (What is this?)
Fingerprint:
E996735927E427A733BB653E374C7797FB006459

Dependencies:

For questions and bugs with software in this PPA please contact Rob Savoury.

PPA statistics

Activity
6 updates added during the past month.
View package details

Overview of published packages

175 of 274 results
Package Version Uploaded by
accounts-qml-module 0.6+17.04.20170405-0ubuntu5~20.04.sav0 Rob Savoury ()
accounts-qml-module 0.6+17.04.20170405-0ubuntu5~18.04.sav0 Rob Savoury ()
accounts-qml-module 0.6+17.04.20170405-0ubuntu5~16.04.sav0 Rob Savoury ()
appstream 0.12.10-2+20.04.sav0 Rob Savoury ()
appstream 0.12.9-1~18.04.sav0 Rob Savoury ()
appstream 0.12.9-1~16.04.sav0 Rob Savoury ()
belcard 4.4.13-2~20.04.sav0 Rob Savoury ()
belcard 4.4.13-2~18.04.sav0 Rob Savoury ()
belcard 4.4.13-2~16.04.sav0 Rob Savoury ()
belle-sip 4.4.34+dfsg-0ubuntu1~20.04.sav0 Rob Savoury ()
belle-sip 4.4.34+dfsg-0ubuntu1~18.04.sav0 Rob Savoury ()
belle-sip 4.4.34+dfsg-0ubuntu1~16.04.sav0 Rob Savoury ()
belr 4.4.13-2~20.04.sav0 Rob Savoury ()
belr 4.4.13-2~18.04.sav0 Rob Savoury ()
belr 4.4.13-2~16.04.sav0 Rob Savoury ()
boost1.71 1.71.0-6~18.04.sav1 Rob Savoury ()
boost1.71 1.71.0-6~16.04.sav1 Rob Savoury ()
bzrtp 4.4.13-2~20.04.sav0 Rob Savoury ()
bzrtp 4.4.13-2~18.04.sav0 Rob Savoury ()
bzrtp 4.4.13-2~16.04.sav0 Rob Savoury ()
firebird3.0 3.0.7.33374.ds4-2~20.04.sav0 Rob Savoury ()
firebird3.0 3.0.7.33374.ds4-2~18.04.sav0 Rob Savoury ()
firebird3.0 3.0.7.33374.ds4-2~16.04.sav0 Rob Savoury ()
harfbuzz 2.9.1-0ubuntu1~20.04.sav0 Rob Savoury ()
harfbuzz 2.9.1-0ubuntu1~18.04.sav0 Rob Savoury ()
harfbuzz 2.9.1-0ubuntu1~16.04.sav0 Rob Savoury ()
icu 66.1-2ubuntu2.1~18.04.sav0 Rob Savoury ()
icu 66.1-2ubuntu2.1~16.04.sav0 Rob Savoury ()
jasper 3.0.4-0ubuntu1~20.04.sav0 Rob Savoury ()
jasper 3.0.4-0ubuntu1~18.04.sav0 Rob Savoury ()
jasper 3.0.4-0ubuntu1~16.04.sav0 Rob Savoury ()
libaccounts-qt 1.16-2~20.04.sav0 Rob Savoury ()
libaccounts-qt 1.16-2~18.04.sav0 Rob Savoury ()
libaccounts-qt 1.16-2~16.04.sav0 Rob Savoury ()
libantlr3c 3.4+dfsg-3~18.04.sav0 Rob Savoury ()
libantlr3c 3.4+dfsg-3~16.04.sav0 Rob Savoury ()
libevent 2.1.11-stable-1~18.04.sav0 Rob Savoury ()
libevent 2.1.11-stable-1~16.04.sav0 Rob Savoury ()
libqtpas 2.6+2.0.8+dfsg-2~20.04.sav0 Rob Savoury ()
libqtpas 2.6+2.0.8+dfsg-2~18.04.sav0 Rob Savoury ()
libqtpas 2.6+2.0.8+dfsg-2~16.04.sav0 Rob Savoury ()
libquazip 0.9.1-1~20.04.sav0 Rob Savoury ()
libquazip 0.9.1-1~18.04.sav0 Rob Savoury ()
libquazip 0.9.1-1~16.04.sav0 Rob Savoury ()
libtommath 1.2.0-6~20.04.sav0 Rob Savoury ()
libtommath 1.2.0-6~18.04.sav0 Rob Savoury ()
libtommath 1.2.0-6~16.04.sav0 Rob Savoury ()
libtorrent-rasterbar 2.0.6-3~20.04.sav0 Rob Savoury ()
libtorrent-rasterbar 2.0.6-3~18.04.sav0 Rob Savoury ()
libtorrent-rasterbar 2.0.6-3~16.04.sav0 Rob Savoury ()
libwebp 1.2.2-0ubuntu1~20.04.sav0 Rob Savoury ()
libwebp 1.2.2-0ubuntu1~18.04.sav0 Rob Savoury ()
libwebp 1.2.2-0ubuntu1~16.04.sav0 Rob Savoury ()
linphone 4.4.35-0ubuntu1~20.04.sav0 Rob Savoury ()
linphone 4.4.35-0ubuntu1~18.04.sav1 Rob Savoury ()
linphone 4.4.35-0ubuntu1~16.04.sav1 Rob Savoury ()
linphone-desktop 4.2.5-3+20.04.sav0.1 Rob Savoury ()
linphone-desktop 4.2.5-3+18.04.sav0.1 Rob Savoury ()
linphone-desktop 4.2.5-3+16.04.sav0.1 Rob Savoury ()
lxqt-build-tools 0.8.0-1ubuntu1~20.04.sav0 Rob Savoury ()
lxqt-build-tools 0.8.0-1ubuntu1~18.04.sav0 Rob Savoury ()
lxqt-build-tools 0.8.0-1ubuntu1~16.04.sav0 Rob Savoury ()
md4c 0.4.7-2~20.04.sav0 Rob Savoury ()
md4c 0.4.7-2~18.04.sav0 Rob Savoury ()
md4c 0.4.7-2~16.04.sav0 Rob Savoury ()
mdocml 0.4.7-md4c-2~20.04.sav0 (Newer version available) Rob Savoury ()
mediastreamer2 1:4.4.35-0ubuntu1~20.04.sav0 Rob Savoury ()
mediastreamer2 1:4.4.35-0ubuntu1~18.04.sav0 Rob Savoury ()
mediastreamer2 1:4.4.35-0ubuntu1~16.04.sav0 Rob Savoury ()
ortp 1:4.4.34-0ubuntu1~20.04.sav0 Rob Savoury ()
ortp 1:4.4.34-0ubuntu1~18.04.sav0 Rob Savoury ()
ortp 1:4.4.34-0ubuntu1~16.04.sav0 Rob Savoury ()
packagekit-qt 1.0.2-1~18.04.sav0 Rob Savoury ()
packagekit-qt 1.0.2-1~16.04.sav0 Rob Savoury ()
pavucontrol-qt 0.16.0-1ubuntu2~20.04.sav0 Rob Savoury ()
175 of 274 results

Latest updates

  • jasper 3 weeks ago
    Successfully built
  • jasper 3 weeks ago
    Successfully built
  • jasper 3 weeks ago
    Successfully built
  • qtimageformats-opensource-src 3 weeks ago
    Successfully built
  • qtimageformats-opensource-src 3 weeks ago
    Successfully built